View Issue Details

IDProjectCategoryView StatusLast Update
0006966Kali Linux[All Projects] Kali Package Bugpublic2021-01-06 15:04
Reporterfifty Assigned Tosbrun  
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionduplicate 
Product Version2020.4 
Target VersionFixed in Version 
Summary0006966: crackmapexec not working in 2020.4 if updating from 2020.3
Descriptionwhen the distro has been updated from 2020.3 to 2020.4 and cme is installed from the repository, crackmapexec will fail to execute after the upgrade:


Traceback (most recent call last):
  File "/home/kali/.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 567, in _build_master
    ws.require(__requires__)
  File "/home/kali/.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 884, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/home/kali/.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 775, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.VersionConflict: (crackmapexec 5.1.4.dev0 (/usr/lib/python3/dist-packages), Requirement.parse('crackmapexec==5.1.0.dev0'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/crackmapexec", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/home/kali/.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3239, in <module>
    def _initialize_master_working_set():
  File "/home/kali/.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3222, in _call_aside
    f(*args, **kwargs)
  File "/home/kali/.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3251, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/home/kali/.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 569, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/home/kali/.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 582, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/home/kali/.local/lib/python3.9/site-packages/pkg_resources/__init__.py", line 770, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'crackmapexec==5.1.0.dev0' distribution was not found and is required by the application



Steps To ReproduceUpgrade from 2020.3 to 2020.4
Additional InformationI intalled cme in /opt/ from github before, IDK if it messed up something in python, also I have switched completely to python 3 in kali

Relationships

duplicate of 0006964 closedsbrun crackmapexec not working in 2020.4 if updating from 2020.3 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-12-31 15:15 fifty New Issue
2020-12-31 15:15 fifty Issue generated from: 0006964
2021-01-06 15:03 sbrun Relationship added duplicate of 0006964
2021-01-06 15:04 sbrun Assigned To => sbrun
2021-01-06 15:04 sbrun Status new => closed
2021-01-06 15:04 sbrun Resolution open => duplicate